在使用Vue-cli创建项目的时候,执行完vue create demo(你的项目名),就会出现以下错误

 vue create is a Vue CLI 3 only command and you are using Vue CLI 2.9.6.
 You may want to run the following to upgrade to Vue CLI 3:

 npm uninstall -g vue-cli
 npm install -g @vue/cli

这是由于Vue CLI 的包名称由 vue-cli 改成了 @vue/cli。 如果你已经全局安装了旧版本的 vue-cli (1.x 或 2.x),你需要先通过 npm uninstall vue-cli -g 或 yarn global remove vue-cli 卸载它。

按照提示进行修改就可了,如果是mac操作系统,在命令行前面添加sudo获取管理员权限,输入管理员密码.

# 卸载以前装的vue-cli
npm uninstall -g vue-cli
# 安装vue/cli
npm install -g @vue/cli    或者    yarn global add @vue/cli
Last modification:October 24th, 2020 at 04:17 pm
If you think my article is useful to you, please feel free to appreciate